Skip to main content
`Ctrl`+`K`

# TaoGetADMMParentTao

Gets pointer to parent `TAOADMM`, used by inner subsolver.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetADMMParentTao(Tao tao, Tao *admm_tao)

Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameter

- admm_tao - the parent `Tao` context

## See Also

`TAOADMM`

## Level

advanced

## Location

src/tao/constrained/impls/admm/admm.c

## Examples

src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages